
_main:

;SD_CD.mpas,9 :: 		begin
;SD_CD.mpas,10 :: 		OSCCON := %01110000;            //8MHz
	MOVLW       112
	MOVWF       OSCCON+0 
;SD_CD.mpas,11 :: 		PLLEn_bit := 1;                 //Enable PLL (now 48MHz)
	BSF         PLLEN_bit+0, BitPos(PLLEN_bit+0) 
;SD_CD.mpas,12 :: 		TRISC2_bit := 0;                //Make PortC.2 an output
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;SD_CD.mpas,13 :: 		TRISB1_bit := 1;                //Make PortB.1 an input
	BSF         TRISB1_bit+0, BitPos(TRISB1_bit+0) 
;SD_CD.mpas,14 :: 		PCFG10_bit := 1;                //Make PortB.1 digital (not analogue)
	BSF         PCFG10_bit+0, BitPos(PCFG10_bit+0) 
;SD_CD.mpas,15 :: 		RBPU_bit := 0;                  //Enable weak pull-ups on PortB
	BCF         RBPU_bit+0, BitPos(RBPU_bit+0) 
;SD_CD.mpas,16 :: 		while (1) do
L__main2:
;SD_CD.mpas,17 :: 		LED := SD_CD;
	BTFSC       PORTB+0, 1 
	GOTO        L__main7
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__main8
L__main7:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__main8:
	GOTO        L__main2
;SD_CD.mpas,18 :: 		end.
L_end_main:
	GOTO        $+0
; end of _main
